Bug 819364 - Libvirtd and virt-xml-validate manual page need to update
Libvirtd and virt-xml-validate manual page need to update
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.3
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Jiri Denemark
Virtualization Bugs
: Upstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-06 23:22 EDT by yuping zhang
Modified: 2014-04-04 17:01 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-04 17:01:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yuping zhang 2012-05-06 23:22:19 EDT
Description of problem:
#man libvirtd
....
COPYRIGHT
       Copyright (C) 2006-2010 Red Hat, Inc., and the authors listed in the libvirt AUTHORS file.
...
SEE ALSO
       virsh(1), virt-install(1), virt-xml-validate(1), virt-top(1), virt-df(1), <http://www.libvirt.org/>

libvirt-0.9.6                     2011-10-07                LIBVIRTD.POD.IN(8)
....

1.Need to update Copyright to 2012.
2.Now libvirt version is libvirt-0.9.10,and still need to update the data.

#man virt-xml-validate
...
COPYRIGHT
       Copyright (C) 2009-2010 by Red Hat, Inc.  Copyright (C) 2009 by Daniel P. Berrange
...
SEE ALSO
       virsh(1), online XML format descriptions "http://libvirt.org/format.html"

libvirt-0.9.3                     2011-06-10           VIRT-XML-VALIDATE.IN(1)
....

The Copyright and libvirt version still need to be updated.

Version-Release number of selected component (if applicable):
libvirt-0.9.10-16.el6.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 4 Laine Stump 2012-07-25 13:34:01 EDT
A fix for this bug has been pushed upstream:

commit bc80977144f5d25b6681cd8c73727724ab4a09fa
Author: Laine Stump <laine@laine.org>
Date:   Tue Jul 24 13:41:03 2012 -0400

    Fixup manpage names and copyright dates
    
    The copyright dates in the manpages haven't been updated in awhile.
    
    Also, when pod2man converts a pod file into a manpage, it will only
    remove the extension from the filename if it is ".pod". Some of the
    libvirt pod files are named *.pod.in, and that filename is placed
    unchanged into the manpage. This patch uses pod2man's --name option to
    fix that.
Comment 6 yuping zhang 2012-08-06 03:09:02 EDT
Verified this issue with libvirt-0.10.0-0rc0.el6.x86_64
# man libvirtd
...
COPYRIGHT
       Copyright (C) 2006-2012 Red Hat, Inc., and the authors listed in
       the libvirt AUTHORS file.
...

SEE ALSO
       virsh(1), virt-install(1), virt-xml-validate(1), virt-top(1),
       virt-df(1), <http://www.libvirt.org/>

libvirt-0.9.13                    2012-07-31                       LIBVIRTD(8)

#man virt-xml-validate
...
COPYRIGHT
       Copyright (C) 2009-2012 by Red Hat, Inc.  Copyright (C) 2009 by
       Daniel P. Berrange
...
SEE ALSO
       virsh(1), online XML format descriptions
       "http://libvirt.org/format.html"

libvirt-0.9.13                    2012-07-31              VIRT-XML-VALIDATE(1)
...

So change the status to VERIFIED.
Comment 7 tingting zheng 2013-01-25 02:08:49 EST
Tested with:
libvirt-0.10.2-17.el6.x86_64
libvirt-client-0.10.2-17.el6.x86_64

#man virt-xml-validate
SEE ALSO
       virsh(1), online XML format descriptions "http://libvirt.org/format.html"

libvirt-0.10.1                    2012-09-21              VIRT-XML-VALIDATE(1)

For virt-xml-validate,there still exists issues,it should be libvirt-0.10.2.
Comment 8 Jiri Denemark 2013-01-29 05:57:02 EST
libvirt version is still wrong in the man pages; pulling back from 6.4.
Comment 9 Jiri Denemark 2013-01-29 07:32:32 EST
Fixed upstream by v1.0.2-rc2-4-gb8a32e0:

commit b8a32e0e94d75702714167539310f0df4d268e0f
Author: Jiri Denemark <jdenemar@redhat.com>
Date:   Tue Jan 29 11:32:41 2013 +0100

    build: Regenerate man pages on version bump
    
    Whenever libvirt version changes in configure.ac, we need to regenerate
    man pages so that they contain correct version info.
Comment 12 Jiri Denemark 2013-06-11 06:05:45 EDT
We decided not to rebase libvirt in RHEL 6.5 to avoid stability issues
we faced in 6.4. This bug has already been trivially fixed upstream but
it is not considered important enough to be backported to RHEL 6.5.

Thus I'm pushing this bug to RHEL 6.6 (and setting Upstream keyword to
indicate we have patches upstream) for now. If you don't agree with
this resolution, please, give us reasons which you think are strong
enough for us to reevaluate the decision not to backport patches for
this bug.
Comment 15 RHEL Product and Program Management 2014-04-04 17:01:17 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.